using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace QuranNavigator
{
    public partial class ReadSetting : Form
    {
        public int curSura = 0;
        public int curAya = 0;

        public ReadSetting()
        {
            InitializeComponent();
        }
        
        private void ReadSetting_Load(object sender, EventArgs e)
        {

            label1.Text =  Quran.allstring[6];
            label2.Text = Quran.allstring[25];
            label3.Text = Quran.allstring[22];
            label6.Text = Quran.allstring[5];
            button1.Text = Quran.allstring[23];
            label8.Text = Quran.allstring[107];

            label6.Text = Quran.allstring[134];
            label1.Text = Quran.allstring[140];
            label2.Text = Quran.allstring[132];
            label3.Text = Quran.allstring[133];

            label4.Text = Quran.allstring[107];

            label7.Text = Quran.allstring[136]; 
            label5.Text = Quran.allstring[137];
            label9.Text = Quran.allstring[138];
            label10.Text = Quran.allstring[139];

            if (QuranSetting.Default.LanguageID == 0)
            {
                button2.Left = button1.Left = button3.Left = 9;
                comboBox1.Left = button2.Left + button2.Width + 20;
                label1.Left = comboBox1.Left + comboBox1.Width + 20;

                textBox2.Left = button1.Left + button1.Width + 20;
                label3.Left = textBox2.Left + textBox2.Width + 20;

                textBox1.Left = label3.Left + label3.Width + 20;
                label2.Left = textBox1.Left + textBox1.Width + 20;
                comboBox4.Left = comboBox1.Left;
                label4.Left = label1.Left;
            }


            pictureBox1.Image = Image.FromFile(Quran.proglocation + "data\\qrn.png");
            button3.Text = button2.Text = button1.Text;

            this.Text = Quran.allstring[4];

            for (int i = 0; i < Quran.SuraTable.Length; i++)
            {
                comboBox1.Items.Add((i+1).ToString() + "- " + Quran.SuraTable[i].strTitle);
            }

            int[] allreader = { 13, 14, 15, 16, 17, 109, 110, 117, 120, 121 };
            for (int i = 0; i < allreader.Length; i++)
            {
                if (Quran.installReciter[i])
                {
                    comboBox2.Items.Add(Quran.allstring[allreader[i]]);
                    lbReadSetting.Items.Add(i);
                }
            }

            if (QuranSetting.Default.ReciterID < comboBox2.Items.Count) 
                comboBox2.SelectedIndex = QuranSetting.Default.ReciterID;


            for (int i = 1; i < 31; i++)
            {
                comboBox4.Items.Add(i.ToString());
            }

            if (curSura > 0)
            {
                comboBox1.SelectedIndex = curSura - 1;
            }
            //comboBox2.SelectedIndex = QuranSetting.Default.ReciterID;
            //if (comboBox2.Items.Count > 0) comboBox2.SelectedIndex = 0;

            if (curAya > 0)
            {
               textBox1.Text = curAya.ToString();
            }
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (!Quran.ActiveOK)
            {
                if (comboBox1.SelectedIndex > 1)
                {
                    Random rnd = new Random(DateTime.Now.Second);
                    int loop = rnd.Next(100) + 100;
                    loop = rnd.Next(2000) + 1000;
                    for (int i = 0; i < loop; i++)
                    {
                        int b = i;
                        b += i * 2;
                        if (b == 400) break;
                        if (b == 1000) break;
                        if (b == 30000) break;
                    }

                    Quran.showMessageActivateRequired();
                    comboBox1.SelectedIndex = 1;
                }
            }

            int part = Quran.getPartFromAya(comboBox1.SelectedIndex+1, 1);
            comboBox4.SelectedIndex = part - 1;
            textBox1.Text = "1";
            textBox2.Text = Quran.SuraTable[comboBox1.SelectedIndex].ayaCount.ToString();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int userSura = 0, userStartAya = 0, userEndAya = 0;
            StringBuilder st = new StringBuilder("");

            int repeatcount = 1;
            if (checkBox1.Checked)
            {
                repeatcount = Quran.val(textBox3.Text);
                if (repeatcount < 1) repeatcount = 1;
            }

            textBox1.Text = Quran.val(textBox1.Text.Trim()).ToString();
            textBox2.Text = Quran.val(textBox2.Text.Trim()).ToString();
            Quran.frmBoard.QuranSound.isInvalidate = true;
             
            if (Quran.val(textBox1.Text) > 0 && Quran.val(textBox2.Text) >= Quran.val(textBox1.Text))
            {
                userSura = comboBox1.SelectedIndex + 1;
                userStartAya = Quran.val(textBox1.Text);
                userEndAya = Quran.val(textBox2.Text);
                if (userStartAya == 1) userStartAya = 0;

                Quran.frmBoard.QuranSound.nsoundItem = 0;
                Quran.frmBoard.QuranSound.cursoundItem = 0;

                Quran.frmBoard.QuranSound.addAyas(userSura, userStartAya, userSura, userEndAya , repeatcount);


                if (val(textBox4.Text) < 2) textBox4.Text = "2";
                Quran.frmBoard.QuranSound.isRepeat = false;

                if (checkBox2.Checked) Quran.frmBoard.QuranSound.makeRepeat(val(textBox4.Text));

                Quran.frmBoard.QuranSound.startPlaySound();
              //  this.Dispose();
            }
            //Quran.frmBoard.QuranSound.isRepeat = checkBox2.Checked;

        }

        private void comboBox2_SelectedIndexChanged(object sender, EventArgs e)
        {
            //Quran.frmBoard.setReader(comboBox2.SelectedIndex);
            Quran.frmBoard.setReader(val(lbReadSetting.Items[comboBox2.SelectedIndex].ToString()));
        }

        ListBox lbReadSetting = new ListBox();

        private int val(string txt)
        {
            try
            {
                return Convert.ToInt32(txt);
            }
            catch
            {
                return 0;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            int repeatcount = 1;
            if (checkBox1.Checked)
            {
                repeatcount = Quran.val(textBox3.Text);
                if (repeatcount < 1) repeatcount = 1;
            }

            int userSura = comboBox1.SelectedIndex + 1;

            Quran.frmBoard.QuranSound.isInvalidate = true;
            if (val(textBox4.Text) < 2) textBox4.Text = "2";
            Quran.frmBoard.QuranSound.isRepeat = false;


            if (checkBox2.Checked)
                Quran.frmBoard.QuranSound.readThisSura(userSura, repeatcount, val(textBox4.Text));
            else
                Quran.frmBoard.QuranSound.readThisSura(userSura, repeatcount);


            //Quran.frmBoard.QuranSound.isRepeat = checkBox2.Checked;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            int repeatcount = 1;
            if (checkBox1.Checked)
            {
                repeatcount = Quran.val(textBox3.Text);
                if (repeatcount < 1) repeatcount = 1;
                if (repeatcount > 10)
                {
                    textBox3.Text = "10";
                    repeatcount = 10;
                }
            }
            int part = comboBox4.SelectedIndex + 1;
            Quran.frmBoard.QuranSound.isInvalidate = true;

            if (val(textBox4.Text) < 2) textBox4.Text = "2";
            Quran.frmBoard.QuranSound.isRepeat = false;
            if (checkBox2.Checked)
                Quran.frmBoard.QuranSound.readThisPart(part, repeatcount, 0, val(textBox4.Text));
            else
                Quran.frmBoard.QuranSound.readThisPart(part, repeatcount, 0);


            //Quran.frmBoard.QuranSound.isRepeat = checkBox2.Checked;
        }

        private void ReadSetting_Paint(object sender, PaintEventArgs e)
        {
            e.Graphics.DrawLine(new Pen(Brushes.BurlyWood), 5, label2.Top + 25, this.Width - 15, label2.Top + 25);
            e.Graphics.DrawLine(new Pen(Brushes.White), 5, label2.Top + 26, this.Width - 15, label2.Top + 26);

            e.Graphics.DrawLine(new Pen(Brushes.BurlyWood), 5, label1.Top + 25, this.Width - 15, label1.Top + 25);
            e.Graphics.DrawLine(new Pen(Brushes.White), 5, label1.Top + 26, this.Width - 15, label1.Top + 26);

            e.Graphics.DrawLine(new Pen(Brushes.BurlyWood), 5, label9.Top + 25, this.Width - 15, label9.Top + 25);
            e.Graphics.DrawLine(new Pen(Brushes.White), 5, label9.Top + 26, this.Width - 15, label9.Top + 26);
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            //label7.Enabled = checkBox1.Checked;
            textBox3.Enabled = checkBox1.Checked;
        }

        private void checkBox2_CheckedChanged(object sender, EventArgs e)
        {
            //label9.Enabled = checkBox2.Checked;
            textBox4.Enabled = checkBox2.Checked;
        }

        private void textBox4_TextChanged(object sender, EventArgs e)
        {

        }


    }
}