using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace QuranNavigator
{
    public partial class frmMoveToAya : Form
    {
        public frmMoveToAya()
        {
            InitializeComponent();
        }

        public int curSura = 0;
        public int curAya = 0;

        private void frmMoveToAya_Load(object sender, EventArgs e)
        {
            for(int i=0;i<Quran.SuraTable.Length;i++){
                comboBox1.Items.Add((i + 1).ToString() + " - " + Quran.SuraTable[i].strTitle);
            }
            comboBox1.SelectedIndex = curSura - 1;
            comboBox2.SelectedIndex = curAya - 1;
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            comboBox2.Items.Clear();
            for(int i=0;i<Quran.SuraTable[comboBox1.SelectedIndex].ayaCount;i++){
                comboBox2.Items.Add((i + 1).ToString());
            }
        }

        private void comboBox2_SelectedIndexChanged(object sender, EventArgs e)
        {
            Quran.frmBoard.displayAya(comboBox1.SelectedIndex + 1, comboBox2.SelectedIndex + 1);
        }

    }
}