using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace QuranNavigator
{
    public partial class frmTone : Form
    {
        public frmTone()
        {
            InitializeComponent();
        }

        private void frmTone_Load(object sender, EventArgs e)
        {
            showColor();
        }

        private void showColor()
        {
            label1.BackColor = QuranSetting.Default.BackColor;
            label2.BackColor = QuranSetting.Default.BackColor;
            label3.BackColor = QuranSetting.Default.BackColor;
            label4.BackColor = QuranSetting.Default.BackColor;
            label8.BackColor = QuranSetting.Default.BackColor;
            label9.BackColor = QuranSetting.Default.BackColor;

            label2.ForeColor = QuranSetting.Default.ForeColor;
            label3.ForeColor = QuranSetting.Default.MouseOnColor;
            label4.ForeColor = QuranSetting.Default.RecitingColor;

            label8.ForeColor = QuranSetting.Default.SignColor;
            label9.ForeColor = QuranSetting.Default.AyaColor;

            label6.ForeColor = QuranSetting.Default.ForeColor; 
            label7.ForeColor = QuranSetting.Default.ForeColor;

            label6.BackColor = QuranSetting.Default.BarMoveColor;
            label7.BackColor = QuranSetting.Default.BarSelectColor;

            label10.BackColor = QuranSetting.Default.TitleBarColor;
            label10.ForeColor = QuranSetting.Default.ForeColor;

            Quran.frmBoard.refresh();

        }
        private void label2_Click(object sender, EventArgs e)
        {
            CD.Color = QuranSetting.Default.ForeColor;
            if (CD.ShowDialog() != DialogResult.Cancel)
            {
                QuranSetting.Default.ForeColor = CD.Color;
                showColor();
            }

        }

        private void label3_Click(object sender, EventArgs e)
        {
            CD.Color = QuranSetting.Default.MouseOnColor;
            if (CD.ShowDialog() != DialogResult.Cancel)
            {
                QuranSetting.Default.MouseOnColor = CD.Color;
                showColor();
            }

        }

        private void label4_Click(object sender, EventArgs e)
        {
            CD.Color = QuranSetting.Default.RecitingColor;
            if (CD.ShowDialog() != DialogResult.Cancel)
            {
                QuranSetting.Default.RecitingColor = CD.Color;
                showColor();
            }

        }

        private void label6_Click(object sender, EventArgs e)
        {
            CD.Color = QuranSetting.Default.BarMoveColor;
            if (CD.ShowDialog() != DialogResult.Cancel)
            {
                QuranSetting.Default.BarMoveColor = CD.Color;
                showColor();
            }

        }

        private void label7_Click(object sender, EventArgs e)
        {
            CD.Color = QuranSetting.Default.BarSelectColor;
            if (CD.ShowDialog() != DialogResult.Cancel)
            {
                QuranSetting.Default.BarSelectColor = CD.Color;
                showColor();
            }

        }

        private void label1_Click(object sender, EventArgs e)
        {
            CD.Color = QuranSetting.Default.BackColor;
            if (CD.ShowDialog() != DialogResult.Cancel)
            {
                QuranSetting.Default.BackColor = CD.Color;
                showColor();
            }

        }

        private void label8_Click(object sender, EventArgs e)
        {
            CD.Color = QuranSetting.Default.SignColor;
            if (CD.ShowDialog() != DialogResult.Cancel)
            {
                QuranSetting.Default.SignColor = CD.Color;
                showColor();
            }
        }

        private void label9_Click(object sender, EventArgs e)
        {
            CD.Color = QuranSetting.Default.AyaColor;
            if (CD.ShowDialog() != DialogResult.Cancel)
            {
                QuranSetting.Default.AyaColor = CD.Color;
                showColor();
            }
        }

        private void label10_Click(object sender, EventArgs e)
        {
            CD.Color = QuranSetting.Default.TitleBarColor;
            if (CD.ShowDialog() != DialogResult.Cancel)
            {
                QuranSetting.Default.TitleBarColor = CD.Color;
                showColor();
            }

        }

        private void button1_Click(object sender, EventArgs e)
        {
            Color[] AllColor = new Color[9];

            StringBuilder sb = new StringBuilder();

            AllColor[0] = QuranSetting.Default.BackColor;
            AllColor[1] = QuranSetting.Default.ForeColor;
            AllColor[2] = QuranSetting.Default.MouseOnColor;
            AllColor[3] = QuranSetting.Default.RecitingColor;
            AllColor[4] = QuranSetting.Default.SignColor;
            AllColor[5] = QuranSetting.Default.AyaColor;
            AllColor[6] = QuranSetting.Default.TitleBarColor;
            AllColor[7] = QuranSetting.Default.BarMoveColor;
            AllColor[8] = QuranSetting.Default.BarSelectColor;

            for (int i = 0; i < AllColor.Length; i++)
            {
                if (i == 0)
                    sb.Append(AllColor[i].R.ToString() + "," + AllColor[i].G.ToString() + "," + AllColor[i].B.ToString());
                else
                    sb.Append(":" + AllColor[i].R.ToString() + "," + AllColor[i].G.ToString() + "," + AllColor[i].B.ToString());
            }
          
            System.IO.File.AppendAllText(@"D:\Documents and Settings\Terabus\Desktop\myTone.ini", sb.ToString() + "\r\n");
        }

    }
}