using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace QuranNavigator
{
    public partial class frmTranslationList : Form
    {
        public frmTranslationList()
        {
            InitializeComponent();
        }

        bool status = false;
        private void frmTranslationList_Load(object sender, EventArgs e)
        {
            BackColor = QuranSetting.Default.BackColor;
            ForeColor = QuranSetting.Default.ForeColor;
            listBox1.BackColor = QuranSetting.Default.BackColor;
            listBox1.ForeColor = QuranSetting.Default.ForeColor;
            checkedListBox1.BackColor = QuranSetting.Default.BackColor;
            checkedListBox1.ForeColor = QuranSetting.Default.ForeColor;

            if (QuranSetting.Default.Style == 4)
            {
                checkedListBox1.Visible = true;
                listBox1.Visible = false;
                long curtranid = 1;
                if (Quran.translationInfo != null)
                {
                    for (int i = 0; i < Quran.translationInfo.Length; i++)
                    {
                        curtranid *= 2;
                        checkedListBox1.Items.Add(Quran.translationInfo[i].name, ((QuranSetting.Default.TranslationXtra & curtranid) == curtranid));
                    }
                }
            }
            else
            {
                checkedListBox1.Visible = false;
                listBox1.Visible = true;
                for (int i = 0; i < Quran.translationInfo.Length; i++)
                {
                    listBox1.Items.Add(Quran.translationInfo[i].name);
                }
                listBox1.SelectedIndex = QuranSetting.Default.TranslationID;
            }

            status = true;
        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            QuranSetting.Default.TranslationID = listBox1.SelectedIndex;
            Quran.frmBoard.QuranTranslation.OpenPage();
            QuranSetting.Default.Save();
        }

        private void checkedListBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (!status) return;

            long curXtra = 1;

            long curtranid = 1;
            for (int i = 0; i < checkedListBox1.Items.Count; i++)
            {
                curtranid *= 2;
                if (checkedListBox1.GetItemCheckState(i) == CheckState.Checked)
                {
                    curXtra += curtranid;
                }
            }

            if (curXtra != QuranSetting.Default.TranslationXtra)
            {
                QuranSetting.Default.TranslationXtra = curXtra;
                QuranSetting.Default.Save();
                Quran.frmBoard.refresh();
            }
        }

        private void checkedListBox1_ItemCheck(object sender, ItemCheckEventArgs e)
        {

        }


    }
}